import request from "@/utils/request";

export function getSoftwareUpgradeList(params) {
  return request({
    url: "/platform/softwareupgrade/list",
    method: "get",
    params,
  });
}

export function getSoftwareUpgradeDetail(id) {
  return request({
    url: `/platform/softwareupgrade/${id}`,
    method: "get",
  });
}

export function createSoftwareUpgrade(data) {
  return request({
    url: "/platform/softwareupgrade",
    method: "post",
    data,
  });
}

export function updateSoftwareUpgrade(id, data) {
  return request({
    url: `/platform/softwareupgrade/${id}`,
    method: "post",
    data,
  });
}

export function deleteSoftwareUpgrade(id) {
  return request({
    url: `/platform/softwareupgrade/${id}`,
    method: "delete",
  });
}
